xml-commons-resolver API: Class ExtendedXMLCatalogReader

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.readers
Class ExtendedXMLCatalogReader

    java.lang.Object
      |
      +--org.apache.xml.resolver.readers.SAXCatalogReader
            |
            +--org.apache.xml.resolver.readers.OASISXMLCatalogReader
                  |
                  +--org.apache.xml.resolver.readers.ExtendedXMLCatalogReader

All Implemented Interfaces:
  CatalogReader, org.xml.sax.ContentHandler, org.xml.sax.DocumentHandler, SAXCatalogParser

public class ExtendedXMLCatalogReader
extends OASISXMLCatalogReader

Parse Extended OASIS Entity Resolution Technical Committee XML Catalog files.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `Catalog`

Field Summary
`static java.lang.String` | `extendedNamespaceName` The namespace name of extended catalog elements

Fields inherited from class org.apache.xml.resolver.readers.OASISXMLCatalogReader
`baseURIStack, catalog, namespaceName, namespaceStack, overrideStack, tr9401NamespaceName`

Fields inherited from class org.apache.xml.resolver.readers.SAXCatalogReader
`debug, namespaceMap, parserClass, parserFactory`

Constructor Summary
`ExtendedXMLCatalogReader()`

Method Summary
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` The SAX `endElement` method does nothing.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` The SAX `startElement` method recognizes elements from the plain catalog format and instantiates CatalogEntry objects for them.

Methods inherited from class org.apache.xml.resolver.readers.OASISXMLCatalogReader
`characters, checkAttributes, checkAttributes, endDocument, endPrefixMapping, getCatalog, ignorableWhitespace, inExtensionNamespace, processingInstruction, setCatalog, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class org.apache.xml.resolver.readers.SAXCatalogReader
`endElement, getCatalogParser, getParserClass, getParserFactory, readCatalog, readCatalog, setCatalogParser, setClassLoader, setParserClass, setParserFactory, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.DocumentHandler
`endElement, startElement`

Field Detail

### extendedNamespaceName

    public static final java.lang.String extendedNamespaceName

  The namespace name of extended catalog elements

Constructor Detail

### ExtendedXMLCatalogReader

    public ExtendedXMLCatalogReader()

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  The SAX `startElement` method recognizes elements from the plain catalog format and instantiates CatalogEntry objects for them.
  Overrides:
    `startElement` in class `OASISXMLCatalogReader`
  Parameters:
    `namespaceURI` - The namespace name of the element.
    `localName` - The local name of the element.
    `qName` - The QName of the element.
    `atts` - The list of attributes on the element.
  See Also:
    `CatalogEntry`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  The SAX `endElement` method does nothing.
  Overrides:
    `endElement` in class `OASISXMLCatalogReader`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.